unit fAbout;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons;

{-------------------------------------------------------------------------------
-------------------------------------------------------------------------------}

type
  TAboutForm = class(TForm)
    Image1: TImage;
    lblProgName: TLabel;
    lblVersion: TLabel;
    btnOk: TBitBtn;
    lblCopy: TLabel;
    lblEmailLink: TLabel;
    lblEmail: TLabel;
    lblWebsite: TLabel;
    lblWebsiteLink: TLabel;
    edtGnu: TMemo;
    lblMadeWith: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure lblEmailLinkClick(Sender: TObject);
    procedure lblWebsiteLinkClick(Sender: TObject);
  private
  public
  end;

var
  AboutForm: TAboutForm;

{-------------------------------------------------------------------------------
-------------------------------------------------------------------------------}

implementation

{$R *.dfm}

uses
  ShellAPI;

{-------------------------------------------------------------------------------
-------------------------------------------------------------------------------}

procedure TAboutForm.FormCreate(Sender: TObject);
begin
  Image1.Picture.Assign(Application.Icon);
end;

{-------------------------------------------------------------------------------
-------------------------------------------------------------------------------}

procedure TAboutForm.lblEmailLinkClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('mailto:software@antp.be'), nil, nil, SW_SHOWNORMAL);
end;

{-------------------------------------------------------------------------------
-------------------------------------------------------------------------------}

procedure TAboutForm.lblWebsiteLinkClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('http://www.antp.be/ttd/'), nil, nil, SW_SHOWNORMAL);
end;

{-------------------------------------------------------------------------------
-------------------------------------------------------------------------------}

end.
